FilterSet.Filter (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.types, class: FilterSet, class: Filter

Package org.apache.tools.ant.types

# Class FilterSet.Filter

java.lang.Object
org.apache.tools.ant.types.FilterSet.Filter

Enclosing class:
  `FilterSet`

public static class FilterSet.Filter extends Object
Individual filter component of filterset.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Filter()`
  No-argument constructor.
  `Filter(String token, String value)`
  Constructor for the Filter object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getToken()`
  Gets the Token attribute of the Filter object.
  `String`
  `getValue()`
  Gets the Value attribute of the Filter object.
  `void`
  `setToken(String token)`
  Sets the Token attribute of the Filter object.
  `void`
  `setValue(String value)`
  Sets the Value attribute of the Filter object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Filter

    public Filter(String token, String value)
    Constructor for the Filter object.
    Parameters:
      `token` - The token which will be replaced when filtering.
      `value` - The value which will replace the token when filtering.

  - ### Filter

    public Filter()
    No-argument constructor.

- ## Method Details

  - ### setToken

    public void setToken(String token)
    Sets the Token attribute of the Filter object.
    Parameters:
      `token` - The new Token value.

  - ### setValue

    public void setValue(String value)
    Sets the Value attribute of the Filter object.
    Parameters:
      `value` - The new Value value.

  - ### getToken

    public String getToken()
    Gets the Token attribute of the Filter object.
    Returns:
      The Token value.

  - ### getValue

    public String getValue()
    Gets the Value attribute of the Filter object.
    Returns:
      The Value value.